## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGradient Member List

This is the complete list of members for csGradient, including all inherited members.

AddShade(csGradientShade shade) | csGradient |
Clear() | csGradient |
csGradient() | csGradient |
csGradient(csColor first, csColor last) | csGradient |
GetShades() const | csGradient | `[inline]`
Render(csRGBcolor *pal, size_t count, float begin=0.0f, float end=1.0f) const | csGradient |
shades | csGradient | `[protected]`